Subject: Re: [AVTCORE] Reliable Stream Resets: Requesting a Reset at a Specific Offset

From: Kazuho Oku <[email-masked]>
Date: Fri, 13 Oct 2023 15:38:46 +0900

2023年10月13日(金) 9:18 Martin Thomson <[email-masked]>:

> On Fri, Oct 13, 2023, at 11:11, Kazuho Oku wrote:
> > 2023年10月11日(水) 10:07 Martin Thomson <[email-masked]>:
> >> I'm more concerned about adding another negotiation point for the
> request.  If they progress in parallel, then we need separate negotiation
> for each and that gets tricky when there is an interdependency like this.
> >
> > If that is the main concern, I think we might consider changing the
> > Transport Parameter used for negotiating Reliable Reset to take a
> > version number.
>
> I'm not enthusiastic about adding extra extension points like that.
>
> My sense is that either ENOUGH is worth doing or not, and that won't
> change much in future.  If the protocol needs to get much more complex in
> order to support it, then it will be less worthwhile.
>

Thanks, I think I'm fine with that too.

After all, it is not difficult to have something like ENOUGH inside the
application protocol, as such a signal can be sent on a control stream.
That's very different from CLOSE_STREAM, without which it is complicated to
guarantee partial delivery of stream data.

-- 
Kazuho Oku